//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DataSetConceptValue complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DataSetConceptValue"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice maxOccurs="unbounded" minOccurs="0"&gt;
 *         &lt;element name="property" type="{}DataSetValueProperty" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element name="conceptList" type="{}DataSetConceptList" minOccurs="0"/&gt;
 *         &lt;element ref="{}example" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/choice&gt;
 *       &lt;attribute name="type" use="required" type="{}DataSetValueType" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DataSetConceptValue", propOrder = {
    "propertyOrConceptListOrExample"
})
public class DataSetConceptValue {

    @XmlElements({
        @XmlElement(name = "property", type = DataSetValueProperty.class),
        @XmlElement(name = "conceptList", type = DataSetConceptList.class),
        @XmlElement(name = "example", type = Example.class)
    })
    private List<Object> propertyOrConceptListOrExample;
    @XmlAttribute(name = "type", required = true)
    private DataSetValueType type;

    /**
     * Gets the value of the propertyOrConceptListOrExample property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the propertyOrConceptListOrExample property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPropertyOrConceptListOrExample().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DataSetValueProperty }
     * {@link DataSetConceptList }
     * {@link Example }
     * @return object list
     * 
     */
    public List<Object> getPropertyOrConceptListOrExample() {
        if (propertyOrConceptListOrExample == null) {
            propertyOrConceptListOrExample = new ArrayList<>();
        }
        return this.propertyOrConceptListOrExample;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link DataSetValueType }
     *     
     */
    public DataSetValueType getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link DataSetValueType }
     *     
     */
    public void setType(DataSetValueType value) {
        this.type = value;
    }

}
